Problem with mediaverify tool

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem with mediaverify tool

Hivernat Emmanuel
This post was updated on .
Hello,

I'am runing gramps 4.0.4 on ubuntu 14.04
Iget this error message when starting mediaverify tool :

48598: WARNING: _manager.py: line 288: Plugin error: cannot import name get_unicode_path_from_file_chooser
48598: ERROR: grampsapp.py: line 114: Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1638, in <lambda>
    return lambda x: run_plugin(pdata, dbstate, uistate)
  File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1617, in run_plugin
    'error_msg': pmgr.get_fail_list()[-1][1][1]})
IndexError: list index out of range

Does somebody have a solution?

Thanks for your help
Regards
Manu
Reply | Threaded
Open this post in threaded view
|

Re: Problem with mediaverify tool

Hivernat Emmanuel
Paul Franklin,
you're right probably get_unicode_path_from_file_chooser function doesn't exist in version 4.0.4.
As i do not use the "export to text file" fonctionnality, i've just suppressed this fonction and now plugin can be used for screen information


Thanks

Le 03/06/2014 00:29, Hivernat Emmanuel a écrit :
Hello, I'am runing gramps 4.0.4 on ubuntu 14.04 Iget this error message when starting mediaverify tool : 48598: WARNING: _manager.py: line 288: Plugin error: cannot import name get_unicode_path_from_file_chooser 48598: ERROR: grampsapp.py: line 114: Unhandled exception Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1638, in return lambda x: run_plugin(pdata, dbstate, uistate) File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1617, in run_plugin 'error_msg': pmgr.get_fail_list()[-1][1][1]}) IndexError: list index out of range Does somebody have a solution? Thanks for your help Regards Manu

View this message in context: Problem with mediaverify tool
Sent from the GRAMPS - User mailing list archive at Nabble.com.


------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their 
applications. Written by three acclaimed leaders in the field, 
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech


_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users


------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem with mediaverify tool

Nick Hall
There were some changes made in 4.0.4 to fix some unicode issues with Windows.

It looks like a method used by the Media Verify tool has been removed.  Maybe I can also fix bug #7144.

Nick.


On 03/06/14 00:08, Hivernat Emmanuel wrote:
Paul Franklin,
you're right probably get_unicode_path_from_file_chooser function doesn't exist in version 4.0.4.
As i do not use the "export to text file" fonctionnality, i've just suppressed this fonction and now plugin can be used for screen information


Thanks

Le 03/06/2014 00:29, Hivernat Emmanuel a écrit :
Hello, I'am runing gramps 4.0.4 on ubuntu 14.04 Iget this error message when starting mediaverify tool : 48598: WARNING: _manager.py: line 288: Plugin error: cannot import name get_unicode_path_from_file_chooser 48598: ERROR: grampsapp.py: line 114: Unhandled exception Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1638, in return lambda x: run_plugin(pdata, dbstate, uistate) File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1617, in run_plugin 'error_msg': pmgr.get_fail_list()[-1][1][1]}) IndexError: list index out of range Does somebody have a solution? Thanks for your help Regards Manu



------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem with mediaverify tool

jerome
Before release, I fixed a typo very close to this issue, then I looked at others parts of code using the deprecated "get_unicode_path_from_file_chooser function", and did not find any!

Oh, media verify is an addon, right?
Ok, this could explain why this can still occur with some plugins.

Jérôme.

Le mar. 3 juin 2014 at 1:16, Nick Hall <[hidden email]> a écrit :
There were some changes made in 4.0.4 to fix some unicode issues with Windows.

It looks like a method used by the Media Verify tool has been removed.  Maybe I can also fix bug #7144.

Nick.


On 03/06/14 00:08, Hivernat Emmanuel wrote:
Paul Franklin,
you're right probably get_unicode_path_from_file_chooser function doesn't exist in version 4.0.4.
As i do not use the "export to text file" fonctionnality, i've just suppressed this fonction and now plugin can be used for screen information


Thanks

Le 03/06/2014 00:29, Hivernat Emmanuel a écrit :
Hello, I'am runing gramps 4.0.4 on ubuntu 14.04 Iget this error message when starting mediaverify tool : 48598: WARNING: _manager.py: line 288: Plugin error: cannot import name get_unicode_path_from_file_chooser 48598: ERROR: grampsapp.py: line 114: Unhandled exception Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1638, in return lambda x: run_plugin(pdata, dbstate, uistate) File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 1617, in run_plugin 'error_msg': pmgr.get_fail_list()[-1][1][1]}) IndexError: list index out of range Does somebody have a solution? Thanks for your help Regards Manu



------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/NeoTech
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users